Hi,

If i decide to upgrade to 2.0 on my 1st gen iPhone, will I be able to downgrade to 1.1.4 again if some of my "must have" applications doesn't get ported?